@import url('https://fonts.googleapis.com/css2?family=Playfair+Display:ital,wght@0,400..900;1,400..900&display=swap');
@import url('https://fonts.googleapis.com/css2?family=Inter:ital,opsz,wght@0,14..32,100..900;1,14..32,100..900&family=Playfair+Display:ital,wght@0,400..900;1,400..900&display=swap');
*{
    margin:0;
    padding:0;
    box-sizing: border-box;
    scroll-behavior: smooth;
}
html{
    font-size:14px;
}
.hero-section{
    padding:3em;
    width:100%;
    height:100svh;
    background-color:#faf8f3;
}
.header-auteurAccueil{
    border:1px solid #9e9e9e;
    background-color: #ffffff3a;
    backdrop-filter:blur(05px);
    border-radius:0.5em;
    padding:0.5em;
    display:flex;                                                   
    justify-content: space-around;
    align-items:center;
    margin-bottom:5em;
    box-shadow: 1px 1px 5px #17202ac2;
}
.container-logo-publication{
    width:130px;
    height:auto;
}
.container-logo-publication img{
    width:100%;
    height: 100%;
    object-fit: cover;
}
.auteurAccueil-navigation ul{
    display:flex;
    list-style: none;
    gap:1.5em;
}
.auteurAccueil-navigation ul li a{
    color:#000000;
    text-decoration: none;
    font-size:clamp(0.5rem, 22vw, 1.2rem);
}
.auteurAccueil-navigation ul li{
    position:relative;
    display:block;
}
.auteurAccueil-navigation ul li::before{
    content:"";
    position:absolute;
    bottom:0;
    left: 0;
    right:0;
    height:3px;
    background-color: #C89B3C;
    transform:scaleX(0);
    transform-origin:left;
    transition:transform 0.3s ease;
}
.auteurAccueil-navigation ul li:hover::before{
    transform:scaleX(1);
}

.container-btn-connexion-auteur a{
    border-radius:8px;
    background-color: transparent;
    border:2px solid #C89B3C;
    padding:0.4em 0.7em;
    text-decoration: none;
    color:#17202A;
    font-size:clamp(0.5rem, 18vw, 1.2rem);
    font-weight:bold;
}
.container-btn-connexion-auteur a:hover{
    background-color: #C89B3C;
    transform:scaleX(1)
}


/*Premiere section: Hero section*/


.text-hero{
    width:45%;
    height: max-content;
    padding:0.5em 0em;
    display:flex;
    flex-direction: column;
    gap:2em;
}
.text-hero h1{
    font-size:clamp(1.5rem, 30vw, 4rem);
    font-family: "Playfair Dislplay";
    color:#C89B3C;
}
.text-hero h1 span{
    color:#102A43;
}
.text-hero p{
    font-size:1.5rem;
    font-family:inter;
    color:#17202A;
}
.text-hero a{
    font-size:clamp(0.5rem, 18vw, 1.4rem);
    font-family:inter;
    font-weight: bold;
    text-decoration: none;
    color:#102A43;
    background-color:#C89B3C;
    border-radius: 8px;
    padding:0.3em 1.5em;
    margin-top: 1em;
    width:max-content;
    align-items: center;
    display:flex;
    transition:transform 0.2s ease;
}
.text-hero a svg{
    width:3rem;
    color:#ffffff;
}
.text-hero a:hover{
    transform:translateY(-2px);
}



/*Deuxieme Section*/

.sectionPqNous{
    padding:3em;
    background-color: #F0EDE5;
}
.container-titre-principale-pqNous{
    padding:3em 0;
    text-align:center;
}
.container-titre-principale-pqNous span{
    color:#5B6573;
    font-weight: bold;
    font-family: inter;
    background-color: #C89B3C;
    padding:0.2em;
    border-radius:5px;
}
.container-titre-principale-pqNous h2{
    font-size:clamp(0.8rem, 22vw, 2rem);
    margin:0.5em 0;
    color:#102A43;
    font-family: "Playfair Display";
}
.containerCardPqNous{
    display: flex;
    gap:1.5em;
    margin-bottom:3em;
}
.containerCardPqNous .card{
    border:1px solid #e5e0d5;
    padding:0.5em;
    flex:1 0 150px;
    background-color: #ffffff;
    border-radius:1.1em;
    box-shadow: 0 8px 30px rgba(16, 42, 67, 0.06);
}
.containerCardPqNous .card svg{
    width:3rem;
    color:#C89B3C;
}
.containerCardPqNous .card h3{
    font-size:clamp(0.5rem, 20vw, 1.3rem);
    color:#102A43;
    font-family: "Playfair Display";
}
.containerCardPqNous .card span{
    font-size:clamp(0.4rem, 18vw, 1rem);
    color:#5B6573;
    font-family: inter;
}


.containerReponsePqNous{
    display:flex;
    justify-content:space-between;
    align-items: stretch;
    padding:0 2em;
}
.container-text-pqNous{
    flex:0 1 30%;
    padding:1em;
}
.container-text-pqNous h2{
    margin:0.5em 0;
    font-size:clamp(0.5rem, 18vw, 3.1rem);
    color:#102A43;
    font-family: "Playfair Display";
}
.container-text-pqNous h2 span{
    color:#C89B3C;
}
.container-text-pqNous p{
    font-size:clamp(0.5rem, 18vw, 1.3rem);
    color:#17202A;
    font-family: "inter";
}

.container-image-pqNous{
    flex:0 1 65%;
    border-radius:.8rem;
}
.container-image-pqNous img{
    width:100%;
    aspect-ratio: 4/2;
    display:block;
    object-fit: cover;
}






/* Troisieme Section */

.section-espace-auteur {
    position: relative;
    padding: 3em;
    background: #f5f2ea;
    overflow: hidden;
}


.section-intro {
    max-width: 850px;
    margin: 0 auto 100px;
    text-align: center;
}

.section-label {
    display: inline-block;
    padding: 6px 10px;
    background: #d2a13a;
    color: #102d49;
    border-radius: 5px;
    font-size: 1em;
    font-weight: 700;
}

.section-intro h2 {
    margin: 0.4em 0;
    color: #102d49;
    font-family:"Playflair Display",serif;
    font-size: clamp(1rem, 4vw, 3rem);
    line-height: 1.1;
}

.section-intro h2 span {
    color: #c99a32;
}

.auteur-timeline {
    position: relative;
    max-width: 1200px;
    margin: auto;
}

/* Ligne centrale */

.auteur-timeline::before {
    content: "";
    position: absolute;
    top: 0;
    bottom: 0;
    left: 50%;
    width: 2px;
    background: #d2a13a;
    transform: translateX(-50%);
}


.timeline-item {
    position: relative;
    width: 100%;
    display: flex;
    margin-bottom: 100px;
}

.timeline-left {
    justify-content: flex-start;
    padding-right: calc(50% + 45px);
}
.timeline-right {
    justify-content: flex-end;
    padding-left: calc(50% + 45px);
}


.timeline-content {
    position: relative;
    width: 100%;
    max-width: 480px;
}
.timeline-number {
    display: block;
    margin-bottom: 12px;
    color: #17202A;
    background-color: #C89B3C;
    font-family:"Playfair Display";
    font-size:clamp(0.8rem, 22vw, 1.3rem);
    font-weight: bold;
    padding:0.5em;
    width:max-content;
}
.timeline-content h3 {
    margin: 0 0 15px;
    color: #102d49;
    font-family: "Playfair Display";
    font-size: clamp(25px, 3vw, 34px);
    line-height: 1.15;
}
.timeline-content p {
    font-family:inter;
    margin: 0;
    color: #42566a;
    font-size: 16px;
    line-height: 1.7;
}


.timeline-dot {
    position: absolute;
    top: 0;
    left: 50%;
    width: 22px;
    height: 22px;
    background: #d2a13a;
    border: 4px solid #f5f2ea;
    border-radius: 50%;
    transform: translateX(-50%);
    z-index: 2;
}

.timeline-explication{
    border:1px solid #9e9e9e;
    padding:0.5em;
    background-color:#ffffff;
    border-radius:1.5em;
}
.timeline-explication h4{
    color:#C89B3C;
    font-size:clamp(0.4rem, 22vw, 1.2rem);
    font-family:"Playfair Display"
}
.timeline-explication p{
    color:#17202A;
    font-size:clamp(0.4rem, 20vw, 1rem);
    font-family:inter;
}


/* ==============================
   TAGS
============================== */

.timeline-tags {
    display: flex;
    flex-wrap: wrap;

    gap: 8px;

    margin-top: 22px;
}

.timeline-tags span {
    padding: 7px 11px;

    background: #ffffff;

    color: #102d49;

    border: 1px solid rgba(16, 45, 73, 0.1);

    border-radius: 5px;

    font-size: 13px;
}


/* ==============================
   FLUX REMUNERATION
============================== */

.lecture-flow {
    display: flex;
    align-items: center;
    flex-wrap: wrap;
    gap: 8px;
    margin-top: 25px;
}

.lecture-flow span {
    padding: 9px 12px;

    background: #ffffff;

    color: #102d49;

    border-radius: 5px;

    font-size: 13px;
    font-weight: 600;
}

.lecture-flow i {
    color: #c99a32;

    font-size: 20px;
}


/* ==============================
   STATISTIQUES
============================== */

.stats-preview {
    display: flex;
    flex-wrap: wrap;

    gap: 15px;

    margin-top: 25px;
}

.stats-preview div {
    padding: 14px 16px;

    background: #ffffff;

    border-radius: 7px;

    border: 1px solid rgba(16, 45, 73, 0.08);
}

.stats-preview strong {
    display: block;

    margin-bottom: 4px;

    color: #102d49;

    font-family: Georgia, "Times New Roman", serif;
}

.stats-preview span {
    color: #657789;
    font-size: 13px;
}




/*Section appel à l'action de l'auteur*/
.invit-auteur{
    padding:3em;
    width:100%;
    min-height:50svh;
    display:flex;
    justify-content: center;
}
.conteneur-info-appelAuteur{
    background-color: #102A43;
    min-width:80%;
    height: 100%;
    border-radius:2em;
    display:flex;
    justify-content: center;
    gap:1em;
    padding:1em;
}
/* .conteneur-info-appelAuteur div{
    border:1px solid #9e9e9e;
} */
.conteneur-img-appelAuteur{
    flex:0 0 30%;
    border-radius:1em;
    overflow:hidden;
    aspect-ratio: 4/3;
}
.conteneur-img-appelAuteur img{
    width:100%;
    height:100%;
    object-fit: cover;
    display:block;
}

/*Deuxieme boite*/
.conteneur-text-appelAuteur{
    flex:0 0 40%;
    padding:2em;
}
.conteneur-text-appelAuteur h2{
    color:#ffffff;
    font-size:clamp(0.5rem, 3vw, 2rem);
    font-family:"Playfair Display";
    margin-bottom:0.6em
}
.conteneur-text-appelAuteur span{
    color:#F0EDE5;
    font-size:clamp(0.7rem, 1.5vw, 1rem);
    font-family: inter;
    
}
.conteneur-text-appelAuteur a{
    margin-top:1em;
    text-decoration: none;
    background-color: #C89B3C;
    color:#17202A;
    padding:0.5em;
    display:inline-block;
    font-size:clamp(0.6rem, 15vw, 1.2rem);
    font-family: inter;
    font-weight:800;
    display:flex;
    align-items: center;
    width:max-content;
    border-radius:10px;
    transition: transform 0.3s, background-color, 0.3s ease;
}
.conteneur-text-appelAuteur a:hover{
    transform:translateX(2px);
    background-color: #976b0c;
}
.conteneur-text-appelAuteur a svg{
    width:2em;
}





/*Troisieme boite*/
.conteneur-list-appelAuteur{
    flex:0 0 25%;
    padding:2em;
    display:flex;
    flex-direction: column;
    justify-content: center;
}
.conteneur-list-appelAuteur ul li{
    color:#F0EDE5;
    list-style: none;
    font-size:clamp(0.7rem, 1.5vw, 1.1rem);
    font-family: inter;
    display:flex;
    align-items:flex-start;
    gap:0.5em;
}
.conteneur-list-appelAuteur ul li svg{
    width:1.3em;
    color:#C89B3C;
}



/*Pied de page : footer*/
footer{
    padding:2em;
    background-color: #f5f2ea;
}
.footer-links{
    display:flex;
    align-items: stretch;
    gap:5em;
    padding:1.5em;
}
.container-links-logo-footer{
    flex:0 0 30%;
    display:flex;
    flex-direction: column;
    align-items: center;
    gap:1em;
    padding:1.3em;
    border-radius:1.5em;
}
.container-logo-footer{
    align-self:center;
    width:200px;
    height:auto;
}
.container-logo-footer img{
    width:100%;
    height:100%;
    object-fit: cover;
    display:block;

}

.container-social-footer{
    display:flex;
    justify-content: center;
    gap:1em;
}
.container-social-footer a svg{
    width:2em;
}


.container-footer-links{
    flex: 0 0 55%;
}
.container-footer-links h2{
    margin-bottom:1.5em;
    text-align: center;
    color:#102A43;
    font-family:"Playfair Display";
    text-decoration: underline;
    font-size:clamp(0.8rem, 3vw, 1.8rem);
}
.list-footer-links{
    display:flex;
    list-style: none;
    gap:2.5em;
    flex-wrap: wrap;
}
.list-footer-links li a{
    text-decoration: none;
    color:#17202A;
    font-family: inter;
    font-weight: bold;
    font-size:clamp(0.5rem, 2vw, 1rem);
}
.list-footer-links li{
    position:relative;
    display:block;
}
.list-footer-links li::before{
    content:"";
    position:absolute;
    width:100%;
    bottom:0;
    height:3px;
    background-color: #C89B3C;
    transform:scaleX(0);
    transform-origin: left;
    transition:transform 0.2s ease;
}
.list-footer-links li:hover::before{
    transform:scaleX(1);
}
.footer-all-right{
    text-align:center;
    font-family: inter;
    font-size: clamp(0.5em, 1.5vw, 1rem);
    font-weight:800;
    color:#17202A;
    border-top:1px solid #C89B3C;
    padding-top:1em;
}